Distance Class Reference

`#include <costfunctions.h>`

Inheritance diagram for Distance:
Collaboration diagram for Distance:

## Public Member Functions

| Distance ()
| Distance (const Distance &)
| Distance (std::vector< std::vector< double >>, std::vector< int >)
| ~Distance ()
void | setData (std::vector< std::vector< double >>, std::vector< int >)
double | get () const
Public Member Functions inherited from CostFunction
| CostFunction ()
| CostFunction (const CostFunction &)
virtual | ~CostFunction ()

## Constructor & Destructor Documentation

## Distance() [1/3]

Distance::Distance | ( |  | ) |

## Distance() [2/3]

Distance::Distance | ( | const Distance & | other | ) |

## Distance() [3/3]

Distance::Distance | ( | std::vector< std::vector< double >> | T1,
|  | std::vector< int > | T2
| ) |  |

## ~Distance()

Distance::~Distance | ( |  | ) |

inline

## Member Function Documentation

## get()

double Distance::get | ( |  | ) | const

virtual

Implements CostFunction.

## setData()

void Distance::setData | ( | std::vector< std::vector< double >> | T1,
|  | std::vector< int > | T2
| ) |  |

The documentation for this class was generated from the following files:

- costfunctions.h
- costfunctions.cpp